<?php
session_start();
include 'config.php';

if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit;
}

$exam_id = $_GET['exam_id'] ?? 1;
$user_id = $_SESSION['user_id'];

// جلب أسئلة الامتحان
$sql = "SELECT * FROM questions WHERE exam_id = $exam_id";
$questions = $conn->query($sql)->fetch_all(MYSQLI_ASSOC);
?>

<!DOCTYPE html>
<html dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>الامتحان</title>
    <style>
        .question-container {
            margin: 20px;
            padding: 20px;
            background: white;
            border-radius: 8px;
        }
        .timer {
            position: fixed;
            top: 20px;
            right: 20px;
            background: #007bff;
            color: white;
            padding: 10px;
            border-radius: 4px;
        }
        .options {
            margin: 10px 0;
        }
        .option {
            display: block;
            margin: 5px 0;
        }
    </style>
</head>
<body>
    <div class="timer" id="timer">02:00:00</div>
    
    <form id="examForm" method="POST" action="submit_exam.php">
        <?php foreach ($questions as $index => $question): ?>
            <div class="question-container">
                <h3>سؤال <?php echo $index + 1; ?></h3>
                <p><?php echo $question['question_ar']; ?></p>
                
                <div class="options">
                    <label class="option">
                        <input type="radio" name="q<?php echo $question['id']; ?>" value="1">
                        <?php echo $question['option1_ar']; ?>
                    </label>
                    <label class="option">
                        <input type="radio" name="q<?php echo $question['id']; ?>" value="2">
                        <?php echo $question['option2_ar']; ?>
                    </label>
                    <label class="option">
                        <input type="radio" name="q<?php echo $question['id']; ?>" value="3">
                        <?php echo $question['option3_ar']; ?>
                    </label>
                    <label class="option">
                        <input type="radio" name="q<?php echo $question['id']; ?>" value="4">
                        <?php echo $question['option4_ar']; ?>
                    </label>
                </div>
            </div>
        <?php endforeach; ?>
        
        <button type="submit">إنهاء الامتحان</button>
    </form>

    <script>
        let timeLeft = 7200; // 120 minutes in seconds
        let pauseTimeLeft = 1200; // 20 minutes in seconds
        let isPaused = false;
        
        function updateTimer() {
            if (!isPaused) {
                const hours = Math.floor(timeLeft / 3600);
                const minutes = Math.floor((timeLeft % 3600) / 60);
                const seconds = timeLeft % 60;
                
                document.getElementById('timer').textContent = 
                    `${String(hours).padStart(2, '0')}:${String(minutes).padStart(2, '0')}:${String(seconds).padStart(2, '0')}`;
                
                if (timeLeft <= 0) {
                    document.getElementById('examForm').submit();
                }
                
                timeLeft--;
            }
        }

        setInterval(updateTimer, 1000);
        
        // زر التوقف المؤقت
        document.getElementById('pauseBtn').addEventListener('click', function() {
            if (pauseTimeLeft > 0) {
                isPaused = true;
                // عرض نافذة العد التنازلي للتوقف المؤقت
                // ...
            }
        });
    </script>
</body>
</html>